OpenAI video status
curl --request GET \
--url https://maas.apigo.ai/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://maas.apigo.ai/v1/videos/{video_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://maas.apigo.ai/v1/videos/{video_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "video_123456789",
"object": "video",
"created_at": 1741570283,
"completed_at": 1741570383,
"model": "sora-2",
"status": "pending",
"progress": 50,
"expires_at": 1741656683,
"seconds": "4",
"size": "720x1280",
"remixed_from_video_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": 123,
"message": "<string>"
}Video
/v1/videos/{video_id}
비디오 생성 작업의 현재 상태 및 진행 상황을 검색합니다.
GET
/
v1
/
videos
/
{video_id}
OpenAI video status
Use this endpoint to query the current status, progress, and error state of a video-generation task.
- Authenticate with
Authorization: Bearer {API_KEY} - The key path parameter is
video_id - This endpoint is normally polled after task creation
- If you maintain an internal job table, store provider status separately from product status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Video ID
Example:
"video_123456789"
Response
Successful video task status response
Video task ID.
Example:
"video_123456789"
Object type.
Available options:
video Current task status.
Available options:
pending, in_progress, completed, failed Creation timestamp.
Completion timestamp.
Model used for generation.
Task progress percentage.
Required range:
0 <= x <= 100Expiration timestamp for the generated asset.
Video duration in seconds.
Video resolution.
Available options:
720x1280, 1280x720 Source video ID when the task comes from remix.
Show child attributes
Show child attributes
